<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>
	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">等级规则管理</a></div>
		<div class="common_content_title">等级规则管理</div>
		<form id="gradeForm">
		<div class="common_content_btnList clearfix">
			<div class="input160 relative fl" style="margin-right: 15px;">
				<input type="hidden" name="changeType" id="gradeManage_changeTypeId" value="" />
				<input size="16" type="text" id="gradeManage_changeTypeName" class="form-control" value="" input-type="select" readonly>
				<ul class="dropdown-menu" data="$.Grade_Change_Type">
				</ul>
				<i class="input_icon input_down"></i>
			</div>
			<button id="gradeManage_enable" type="button" class="btn btn-success btn-block" onclick="javascript:enableGrade('Y')">启用</button>
			<button id="gradeManage_disable" type="button" class="btn btn-block" onclick="javascript:enableGrade('N')">停用</button>
		</div>
		<div id="auto" style="height: auto;width: 995px;">
			<div class="common_content_table box_shadow border10" style="height: auto">
				<div class="inline_radio" style="margin-left: 10px;margin-bottom: 10px;margin-top: 10px;">
					<span>等级规则设置</span>
					<span><input type="radio" name="gradeFactorsId"  value="1" checked/>积分</span>
					<span><input type="radio" name="gradeFactorsId"  value="2" />消费</span>
					<span style="color: #CCCCCC; text-align: right;margin-top: 20px;margin-left: 20px;">
						*输入100则代表无折扣 [1-100]必须为正整数
					</span>
				</div>
			    <table id="gradeTable" class="easyui-datagrid" style="width:auto;height:auto"data-options="iconCls: 'icon-edit',
							singleSelect: true,method:'get',onClickCell: onClickCell">
					<thead>
						<tr>
							<th data-options="field:'gradeId',width:80,hidden:true">ID</th>
							<th data-options="field:'gradeName',width:180,align:'center',editor:'text'">会员等级(中文)</th>
							<th data-options="field:'gradeNameEn',width:180,align:'center',editor:'text'">会员等级(英文)</th>
							<th data-options="field:'gtValue',width:200,align:'center',editor:{type:'numberspinner',options:{increment:100,min:0,max:999999999}}">额度最小值设置（必须为整数）</th>
							<th data-options="field:'discountRate',width:180,align:'center',editor:{type:'numberspinner',options:{increment:1,min:1,max:100}}">折扣率（%）</th>
							<th id="gradeManage_retainValue" data-options="field:'retainValue',width:180,align:'center',editor:{type:'numberspinner',options:{increment:100,min:0,max:999999999}}">保级值</th>
						</tr>
					</thead>
				</table>
			</div> 
			<div class="inline_radio" style="margin-left: 10px;margin-bottom: 10px;margin-top: 10px;height: 19px;">
					<div>
						<span>等级规则调整:</span>
						<span>
							<input type="radio" checked name="gradeRuleAdjust" style="width:16px;height:16px;margin-right:0">
							<span style="margin-right:5px;">以首次消费日为结算日 按周期结算值的累积量调整</span>
							周期值：每<input id="gradeManage_cycle" name="upPeriod" style="padding:2px 2px;border-left-width: 1px;margin-left: 10px;height: 22px;width: 37px;display: inline-block;text-align: center;" size="16" type="text" class="form-control" value="" data-options="required:true,length:'3',validType:'rtNZero'">年
							<span id="gradeAdjustIcon" class=""><img src="../img/question.png" style="width:20px;height:20px;"></span>
						</span>
					</div>
					<div>
						<span style="display:inline-block;margin-left:142px;">
							<input id="gradeManage_permanent_accumulation" type="radio" name="gradeRuleAdjust" style="width: 16px;height: 16px;display: inline-block;vertical-align: middle;margin-top: 0px;margin-right: 0px;margin-top: -2px;"/>
							<span>按积分余额实时升降</span>
						</span>
					</div>
				</div>
		</div>
		<div id="manual" style="display: block;width: 400px;">
			<div class="common_content_table box_shadow border10" style="height: auto">
			    <table id="gradeTable2" class="easyui-datagrid" style="width:auto;height:auto"data-options="iconCls: 'icon-edit',
							singleSelect: true,method:'get',onClickCell: onClickCell1">
					<thead>
						<tr>
							<th data-options="field:'gradeId',width:80,hidden:true">ID</th>
							<th data-options="field:'gradeName',width:120,align:'center',editor:'text'">会员等级(中文)</th>
							<th data-options="field:'gradeNameEn',width:150,align:'center',editor:'text'">会员等级(英文)</th>
							<th data-options="field:'discountRate',width:120,align:'center',editor:'numberbox',editor:{type:'numberspinner',options:{increment:1,min:1,max:100}}">折扣率（%）</th>
						</tr>
					</thead>
				</table>
			</div> 
		</div></form>
		<button type="button" class="btn btn-success btn-block choose_btn" onclick="javascript:saveGrade();">保存</button>
		<script type="text/javascript">
			$(function() {
				require(['view/grade/gradeManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>
	
</html>